package com.gic.haoban.manage.api.dto.send;

import com.gic.haoban.manage.api.dto.anaylsis.ClerkShareGoodsLogDTO;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * Created by wangzubo on 2025/3/25.
 */
public class DealQwSendDTO implements Serializable {

    /**
     * 企业id
     */
    private String enterpriseId;

    /**
     * 处理类型 1 获取msgId 2 刷新发送结果
     */
    private Integer refreshType;

    /**
     * 重试次数
     */
    private Integer tryCount;

    /**
     * 获取msgId数据
     */
    private FinishQwSendBO finishQwSend;

    /**
     * 刷新发送结果数据
     */
    private QwSendMsgBO qwSendMsg;

    public static class FinishQwSendBO implements Serializable{

        /**
         * 导购id
         */
        private String clerkId;
        /**
         * 成员id
         */
        private String staffId;
        /**
         * 发送时间
         */
        private Date sendTime;
        /**
         * 业务类型 1素材分享 2商品推荐
         */
        private Integer bizType;
        /**
         * 好办企业id
         */
        private String wxEnterpriseId;
        /**
         * 企业id
         */
        private String enterpriseId;

        /**
         * 商品分享信息
         */
        private List<ClerkShareGoodsLogDTO> shareGoodsList;

        public FinishQwSendBO() {
        }

        public FinishQwSendBO(String clerkId, String staffId, Date sendTime, Integer bizType, String wxEnterpriseId, String enterpriseId) {
            this.clerkId = clerkId;
            this.staffId = staffId;
            this.sendTime = sendTime;
            this.bizType = bizType;
            this.wxEnterpriseId = wxEnterpriseId;
            this.enterpriseId = enterpriseId;
        }

        public String getClerkId() {
            return clerkId;
        }

        public void setClerkId(String clerkId) {
            this.clerkId = clerkId;
        }

        public String getStaffId() {
            return staffId;
        }

        public void setStaffId(String staffId) {
            this.staffId = staffId;
        }

        public Date getSendTime() {
            return sendTime;
        }

        public void setSendTime(Date sendTime) {
            this.sendTime = sendTime;
        }

        public Integer getBizType() {
            return bizType;
        }

        public void setBizType(Integer bizType) {
            this.bizType = bizType;
        }

        public String getWxEnterpriseId() {
            return wxEnterpriseId;
        }

        public void setWxEnterpriseId(String wxEnterpriseId) {
            this.wxEnterpriseId = wxEnterpriseId;
        }

        public String getEnterpriseId() {
            return enterpriseId;
        }

        public void setEnterpriseId(String enterpriseId) {
            this.enterpriseId = enterpriseId;
        }

        public List<ClerkShareGoodsLogDTO> getShareGoodsList() {
            return shareGoodsList;
        }

        public void setShareGoodsList(List<ClerkShareGoodsLogDTO> shareGoodsList) {
            this.shareGoodsList = shareGoodsList;
        }
    }

    public static class QwSendMsgBO implements Serializable {
        /**
         * 主键id
         */
        private Long id;
        /**
         * 导购id
         */
        private String clerkId;
        /**
         * 成员id
         */
        private String staffId;
        /**
         * msgId
         */
        private String msgId;
        /**
         * 发送时间
         */
        private Date sendTime;
        /**
         * 业务类型 1素材分享 2商品推荐
         */
        private Integer bizType;
        /**
         * 好办企业id
         */
        private String wxEnterpriseId;
        /**
         * 企业id
         */
        private String enterpriseId;

        public Long getId() {
            return id;
        }

        public void setId(Long id) {
            this.id = id;
        }

        public String getClerkId() {
            return clerkId;
        }

        public void setClerkId(String clerkId) {
            this.clerkId = clerkId;
        }

        public String getStaffId() {
            return staffId;
        }

        public void setStaffId(String staffId) {
            this.staffId = staffId;
        }

        public String getMsgId() {
            return msgId;
        }

        public void setMsgId(String msgId) {
            this.msgId = msgId;
        }

        public Date getSendTime() {
            return sendTime;
        }

        public void setSendTime(Date sendTime) {
            this.sendTime = sendTime;
        }

        public Integer getBizType() {
            return bizType;
        }

        public void setBizType(Integer bizType) {
            this.bizType = bizType;
        }

        public String getWxEnterpriseId() {
            return wxEnterpriseId;
        }

        public void setWxEnterpriseId(String wxEnterpriseId) {
            this.wxEnterpriseId = wxEnterpriseId;
        }

        public String getEnterpriseId() {
            return enterpriseId;
        }

        public void setEnterpriseId(String enterpriseId) {
            this.enterpriseId = enterpriseId;
        }

    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getRefreshType() {
        return refreshType;
    }

    public void setRefreshType(Integer refreshType) {
        this.refreshType = refreshType;
    }

    public Integer getTryCount() {
        return tryCount;
    }

    public void setTryCount(Integer tryCount) {
        this.tryCount = tryCount;
    }

    public FinishQwSendBO getFinishQwSend() {
        return finishQwSend;
    }

    public void setFinishQwSend(FinishQwSendBO finishQwSend) {
        this.finishQwSend = finishQwSend;
    }

    public QwSendMsgBO getQwSendMsg() {
        return qwSendMsg;
    }

    public void setQwSendMsg(QwSendMsgBO qwSendMsg) {
        this.qwSendMsg = qwSendMsg;
    }
}
